Name: magicpoint
Version: 1.10a
Release: alt3

Summary: Presentation tool
Group: Office
License: BSD-like
Url: http://member.wide.ad.jp/wg/mgp/
Packager: Dmitry V. Levin <ldv@altlinux.org>

Source: ftp://sh.wide.ad.jp/WIDE/free-ware/mgp/%name-%version.tar.bz2
Patch1: %name-1.10a-alt-configure.patch
Patch2: %name-1.09a-mdk-emacs-mode-add-font-lock.patch
Patch3: %name-1.10a-rh-warnings.patch
Patch4: %name-1.10a-rh-longline.patch
Patch5: %name-1.10a-rh-xft2.patch
Patch6: %name-1.10a-alt-i18n.patch

Requires: ghostscript-classic, netpbm, sharutils, /bin/gunzip

# Automatically added by buildreq on Tue Mar 21 2006
BuildRequires: flex freetype-devel gccmakedep imake libXmu-devel libjpeg-devel libmng-devel libpng-devel libungif-devel pkg-config xorg-cf-files

%description
MagicPoint is an X11 based presentation tool.  It is designed to make
simple presentations easy while to make complicated presentations
possible.  Its presentation file (whose suffix is typically .mgp) is
just text so that you can create presentation files quickly with your
favorite editor (e.g. Emacs).

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%add_optflags -D__SABER__
export mgp_cv_path_uuencode=%_bindir/uuencode
export mgp_cv_path_uudecode=%_bindir/uudecode
%if "%_lib" != "lib"
sed -i -e 's/\<lib\>/%_lib/g' configure.in
%endif
autoconf
%configure \
	--enable-locale \
	--disable-vflib \
	--enable-gif \
	--enable-freetype \
	--disable-xft2 \
	#
xmkmf -a
# SMP-incompatible build.
make

%install
%makeinstall install.man DESTDIR=%buildroot

install -pD -m644 contrib/mgp-mode.el %buildroot%_emacslispdir/mgp-mode.el

mkdir -p %buildroot%_sysconfdir/emacs/site-start.d
cat <<EOF >%buildroot%_sysconfdir/emacs/site-start.d/%name.el
(autoload 'mgp-mode "mgp-mode" "MagicPoint editing mode" t)
(add-to-list 'auto-mode-alist '("\\\\.mgp$" . mgp-mode))
EOF

%files
%config(noreplace) %_sysconfdir/emacs/site-start.d/*
%_emacslispdir/*
%_x11bindir/*
%_x11mandir/man?/*
%_x11x11dir/*
%doc COPYRIGHT FAQ README* RELNOTES SYNTAX USAGE sample

%changelog
* Tue Mar 21 2006 Dmitry V. Levin <ldv@altlinux.org> 1.10a-alt3
- Fixed build on multilib platforms.
- Fixed build with XOrg in /usr.
- Updated package dependencies.

* Mon Jul 26 2004 Dmitry V. Levin <ldv@altlinux.org> 1.10a-alt2
- mgp2ps: added support for koi8-r, koi8-u and cp1251 encodings.

* Tue Feb 10 2004 Dmitry V. Levin <ldv@altlinux.org> 1.10a-alt1
- Updated to 1.10a, reviewed patches.

* Fri Sep 27 2002 Dmitry V. Levin <ldv@altlinux.org> 1.09a-alt3
- Fixed configure.
- Added preliminary i18n support (ab).

* Wed Sep 18 2002 Stanislav Ievlev <inger@altlinux.ru> 1.09a-alt2
- rebuild with new XFree86

* Sun Sep 08 2002 Dmitry V. Levin <ldv@altlinux.org> 1.09a-alt1
- Adapted for ALT Linux.

* Wed Jul 17 2002 Pixel <pixel@mandrakesoft.com> 1.09a-5mdk
- add missing quote in /etc/emacs/site-start.d/magicpoint.el

* Tue Jul 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.09a-4mdk
- buildrequires freetype-devel

* Thu Oct 11 2001 Pixel <pixel@mandrakesoft.com> 1.09a-3mdk
- rebuilding for libpng3

* Mon Oct  8 2001 Pixel <pixel@mandrakesoft.com> 1.09a-2mdk
- better X11 font choosing (?)
- add require libjpeg-progs

* Sun Oct  7 2001 Pixel <pixel@mandrakesoft.com> 1.09a-1mdk
- fixes, cleanup, emacs mode by default...
- new version

* Mon Sep 03 2001 Yves Duret <yduret@mandrakesoft.com> 1.08a-2mdk
- added a Requires on fonts-ttf-japanese
- added -q option to %%setup

* Wed Jun 13 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.08a-1mdk
- 1.08a
- sanitized spec file (s/Copyright/License, etc.)

* Mon Dec 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.07a-1mdk
- new in contribs
